#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);

    int n, m;
    cin >> n >> m;
    string s;
    cin >> s;

    for (int i = 0; i<n; i++){
        if (s[i]=='a'+m-1){
            cout << 2 << " ";
        }
        else{
            cout << 1 << " ";
        }
    }



    return 0;
}